| Irrlicht 3D Engine |

Public Attributes
irr::scene::SMD3MeshHeader Struct Reference

this holds the header info of an MD3 mesh section More...

`#include <IAnimatedMeshMD3.h>`

List of all members.

## Public Attributes

- c8 meshID [4]
- c8 meshName [68]
- s32 numFrames
- s32 numShader
- s32 numTriangles
- s32 numVertices
- s32 offset_end
- s32 offset_shaders
- s32 offset_st
- s32 offset_triangles
- s32 vertexStart

## Detailed Description

this holds the header info of an MD3 mesh section

Definition at line 97 of file IAnimatedMeshMD3.h.

## Member Data Documentation

c8 irr::scene::SMD3MeshHeader::meshID[4]

Definition at line 99 of file IAnimatedMeshMD3.h.

c8 irr::scene::SMD3MeshHeader::meshName[68]

Definition at line 100 of file IAnimatedMeshMD3.h.

s32 irr::scene::SMD3MeshHeader::numFrames

Definition at line 102 of file IAnimatedMeshMD3.h.

s32 irr::scene::SMD3MeshHeader::numShader

Definition at line 103 of file IAnimatedMeshMD3.h.

s32 irr::scene::SMD3MeshHeader::numTriangles

Definition at line 105 of file IAnimatedMeshMD3.h.

s32 irr::scene::SMD3MeshHeader::numVertices

Definition at line 104 of file IAnimatedMeshMD3.h.

s32 irr::scene::SMD3MeshHeader::offset_end

Definition at line 111 of file IAnimatedMeshMD3.h.

s32 irr::scene::SMD3MeshHeader::offset_shaders

Definition at line 108 of file IAnimatedMeshMD3.h.

s32 irr::scene::SMD3MeshHeader::offset_st

Definition at line 109 of file IAnimatedMeshMD3.h.

s32 irr::scene::SMD3MeshHeader::offset_triangles

Definition at line 107 of file IAnimatedMeshMD3.h.

s32 irr::scene::SMD3MeshHeader::vertexStart

Definition at line 110 of file IAnimatedMeshMD3.h.

The documentation for this struct was generated from the following file:

- IAnimatedMeshMD3.h